Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://alphagrid-api.artiffine-delivery.workers.dev/agents/{agentId}/positions
{ "agentId": "<string>", "positions": [ { "positionId": "<string>", "agentId": "<string>", "symbol": "<string>", "token": "<string>", "vault": "<string>", "tokenAmount": "<string>", "entryPriceUsdc": "<string>", "usdcCostBasis": "<string>", "maxSlippageBps": 123, "nextRuleIndex": 123, "exitRules": [ { "triggerBps": 123, "exitBps": 5000 } ], "pendingRules": [ { "triggerBps": 123, "exitBps": 5000 } ], "openedAt": "<string>" } ] }
Reads open positions from PositionManager via RPC (catalog token scan).
^[1-9]\d*$
"1"
Open positions
Show child attributes